View Issue Details

IDProjectCategoryView StatusLast Update
0005434Talerwallet (WebExtensions)public2021-09-02 18:22
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.6Fixed in Version0.6 
Summary0005434: the exchange's /wire response should not include salt for accounts
DescriptionIt seems we're reusing the same structs for signing as we do for the merchant, which incidentally includes a salt (to increase entropy), which is unnecessary if the payto URI is public anyway.
TagsNo tags attached.

Activities

Christian Grothoff

2018-10-06 15:06

manager   ~0013263

Fixed in exchange in 81ce7abe..a56e2e34.
Related merchant updates in f2a5860..9dd7d3d.

Note that I did NOT update the wallet, and if the wallet checks /wire signatures, it should fail now (due to lack of salt). Thus assigning to Florian to ensure Wallet is updated as well.

Florian Dold

2019-12-05 23:21

manager   ~0015126

The wallet part for this has been fixed in 7b54439.

Christian Grothoff

2021-09-02 18:14

manager   ~0018281

Fix committed to master branch.

Related Changesets

merchant: master 9dd7d3d5

2018-10-06 15:05:03

Christian Grothoff

Details Diff
fix 0005434 (no more salt in exchange wire replies) Affected Issues
0005434
mod - src/backend/taler-merchant-httpd.c Diff File
mod - src/lib/test_merchant_api_home/.config/taler/exchange/account-2.json Diff File

exchange: master a56e2e34

2018-10-06 15:05:06

Christian Grothoff

Details Diff
fix 0005434 (no more salt in exchange wire replies) Affected Issues
0005434
mod - src/auditor/taler-auditor.c Diff File
mod - src/exchange-lib/exchange_api_deposit.c Diff File
mod - src/exchange-lib/exchange_api_wire.c Diff File
mod - src/exchange-lib/test_exchange_api_home/.config/taler/account-2.json Diff File
mod - src/exchange-lib/test_exchange_api_home/.config/taler/x-taler-bank.json Diff File
mod - src/exchange-lib/testing_api_cmd_deposit.c Diff File
mod - src/exchange-lib/testing_api_cmd_track.c Diff File
mod - src/exchange-tools/taler-exchange-wire.c Diff File
mod - src/exchange/taler-exchange-aggregator.c Diff File
mod - src/exchange/taler-exchange-httpd_deposit.c Diff File
mod - src/exchange/taler-exchange-httpd_keystate.c Diff File
mod - src/exchange/taler-exchange-httpd_validation.c Diff File
mod - src/exchange/test_taler_exchange_aggregator.c Diff File
mod - src/exchangedb/test_exchangedb.c Diff File
mod - src/include/taler_crypto_lib.h Diff File
mod - src/include/taler_exchange_service.h Diff File
mod - src/include/taler_json_lib.h Diff File
mod - src/include/taler_signatures.h Diff File
mod - src/include/taler_wire_lib.h Diff File
mod - src/json/json_wire.c Diff File
mod - src/util/crypto_wire.c Diff File

Issue History

Date Modified Username Field Change
2018-09-19 11:35 Florian Dold New Issue
2018-09-19 11:35 Florian Dold Status new => assigned
2018-09-19 11:35 Florian Dold Assigned To => Christian Grothoff
2018-10-06 15:06 Christian Grothoff Note Added: 0013263
2018-10-06 15:06 Christian Grothoff Assigned To Christian Grothoff => Florian Dold
2018-10-06 15:06 Christian Grothoff Category exchange => wallet (WebExtensions)
2018-10-06 15:06 Christian Grothoff Severity minor => tweak
2018-11-18 00:39 Christian Grothoff Target Version => 0.6
2019-12-05 23:21 Florian Dold Status assigned => resolved
2019-12-05 23:21 Florian Dold Resolution open => fixed
2019-12-05 23:21 Florian Dold Note Added: 0015126
2019-12-20 19:11 Christian Grothoff Fixed in Version => 0.6
2019-12-20 19:11 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master a56e2e34
2021-09-02 18:14 Christian Grothoff Note Added: 0018281
2021-09-02 18:14 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 9dd7d3d5